Add icn-bluval-daily-master CI job 71/3371/5
authorIgor DC <igordcard@gmail.com>
Fri, 17 Apr 2020 22:10:52 +0000 (22:10 +0000)
committerKuralamudhan Ramakrishnan <kuralamudhan.ramakrishnan@intel.com>
Sat, 23 May 2020 03:48:11 +0000 (03:48 +0000)
Creates icn-bluval-run-daily-tests template (based on ci-management)
which gets triggered by the new icn-bluval project definition.

To update an existing private Jenkins installation via JJB, run the
following upon download of the icn and ci-management repos:

$ jenkins-jobs test ci-management/jjb:icn/ci/jjb icn-bluval-daily-master
$ jenkins-jobs update ci-management/jjb:icn/ci/jjb icn-bluval-daily-master

Change-Id: I1e9a59e9e25458cc8f9bdc01ab05178529515cf3
Signed-off-by: Igor DC <igordcard@gmail.com>
ci/jjb/akraino-icn-templates.yaml
ci/jjb/project.yaml
ci/jjb/shell/bluval.sh [new file with mode: 0644]

index f15154e..7706fb4 100644 (file)
 #      - email:
 #          recipients: icn.jenkins@intel.com
 
+- job-template:
+    id: icn-bluval-run-daily-tests
+    name: 'icn-bluval-daily-{stream}'
+    concurrent: true
+    node: '{build-node}'
+    parameters:
+      - lf-infra-parameters: *validation_lf_infra_parameters
+      - string:
+          name: DEPLOY_SCENARIO
+          default: ''
+      - {'bluval-defaults'}
+
+    scm:
+      - lf-infra-github-scm:
+          jenkins-ssh-credential: '{jenkins-ssh-credential}'
+          url: '{git-url}/{project}.git'
+          refspec: '$GERRIT_REFSPEC'
+          branch: '$GERRIT_BRANCH'
+          submodule-recursive: false
+          submodule-timeout: '{submodule-timeout}'
+          submodule-disable: true
+          choosing-strategy: default
+
+    builders:
+      - description-setter:
+          description: "POD: $NODE_NAME<br/>BLUEPRINT: $BLUEPRINT<br/>LAB: $LAB_SILO<br/>LAYER: $LAYER"
+      - shell: !include-raw-escape:
+          shell/bluval.sh
+
+    publishers:
+      - robot:
+          output-path: 'results'
+          report-html: '**/report.html'
+          log-html: '**/log.html'
+          output-xml: '**/output.xml'
+      - logparser:
+          use-project-rules: true
+          parse-rules: "./bluval/rules.txt"
+          unstable-on-warning: false
+          fail-on-error: true
+          show-graphs: true
index a2ca731..41001e2 100644 (file)
           branch: master
     jobs:
       - icn-stream-bm-verify-target
+
+- project:
+    name: icn-bluval
+    project-name: validation
+    project: validation
+    group-id: org.akraino.validation
+    refspec: refs/heads/master
+    branch: master
+    view:
+      - project-view
+    blueprint:
+      - icn
+    stream:
+      - master:
+          branch: '{stream}'
+          gs-pathname: ''
+          disabled: false
+    validation_lab:
+      - intel
+    build-node: master
+    jobs:
+      - icn-bluval-run-daily-tests
diff --git a/ci/jjb/shell/bluval.sh b/ci/jjb/shell/bluval.sh
new file mode 100644 (file)
index 0000000..a08c39a
--- /dev/null
@@ -0,0 +1,13 @@
+#!/bin/bash
+set -e
+set -o errexit
+set -o pipefail
+
+echo "[ICN] Downloading run_bluval.sh from upstream ci-management"
+wget --read-timeout=10 --timeout=10 --waitretry=10 -t 10 https://raw.githubusercontent.com/akraino-edge-stack/ci-management/master/jjb/shell/run_bluval.sh
+
+echo "[ICN] Patching run_bluval.sh so it doesn't delete .netrc"
+sed -i "s/rm -f ~\/.netrc/#rm -f ~\/.netrc/" run_bluval.sh
+
+echo "[ICN] Executing run_bluval.sh"
+/bin/bash run_bluval.sh